$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.32.68.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.32.68.msi'
  softwareName = 'Invantive Query Tool'
  checksum = '8096CBA9581E6D1B111F06362A63D01A754EE0E2020017C8F8F5A887D1D12CCE'
  checksumType = 'sha256'
  checksum64 = '8096CBA9581E6D1B111F06362A63D01A754EE0E2020017C8F8F5A887D1D12CCE'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.32.68-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
